Skip to main content
GET
Show invoice details

Authorizations

Authorization
string
header
required

Oauth 2.0 authentication

Path Parameters

invoice_id
string
required

The ID of the draft invoice to delete.

Maximum string length: 2147483647
Pattern: ^.*$

Response

A successful request returns the HTTP 200 OK status code and a JSON response body that shows invoice details.

The invoice details which includes all information of the invoice like items, billing information.

detail
Invoice Detail · object
required

The details of the invoice. Includes the invoice number, date, payment terms, and audit metadata.

id
string
read-only

The ID of the invoice.

Maximum string length: 30
Pattern: ^[\s\S]*$
parent_id
string
read-only

The parent ID to an invoice that defines the group invoice to which the invoice is related.

Maximum string length: 30
Pattern: ^[\s\S]*$
status
enum<string>
read-only

The status of the invoice.

Available options:
DRAFT,
SENT,
SCHEDULED,
PAID,
MARKED_AS_PAID,
CANCELLED,
REFUNDED,
PARTIALLY_PAID,
PARTIALLY_REFUNDED,
MARKED_AS_REFUNDED,
UNPAID,
PAYMENT_PENDING,
AUTO_CANCELLED,
PAID_EXTERNAL,
REFUNDED_EXTERNAL,
SHARED
Maximum string length: 255
Pattern: ^[\s\S]*$
invoicer
Invoicer Information · object

The invoicer information. Includes the business name, email, address, phone, fax, tax ID, additional notes, and logo URL.

primary_recipients
Recipient Information · object[]

The billing and shipping information. Includes name, email, address, phone and language.

Maximum array length: 100
additional_recipients
string<ppaas_common_email_address_v2>[]

An array of one or more CC: emails to which notifications are sent. If you omit this parameter, a notification is sent to all CC: email addresses that are part of the invoice.

Note: Valid values are email addresses in the additional_recipients value associated with the invoice.

Maximum array length: 100

The internationalized email address.

Note: Up to 64 characters are allowed before and 255 characters are allowed after the @ sign. However, the generally accepted maximum length for an email address is 254 characters. The pattern verifies that an unquoted @ sign exists.

Required string length: 3 - 254
Pattern: ^(?:[A-Za-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[A-Za-z0-9!#$%&'*+/=?^_`{|}~-]+)*|"(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21\x23-\x5b\x5d-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])*")@(?:(?:[A-Za-z0-9](?:[A-Za-z0-9-]*[A-Za-z0-9])?\.)+[A-Za-z0-9](?:[A-Za-z0-9-]*[A-Za-z0-9])?|\[(?:(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?|[A-Za-z0-9-]*[A-Za-z0-9]:(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21-\x5a\x53-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])+)\])$
items
Invoice Item · object[]

An array of invoice line item information.

Maximum array length: 100
configuration
Configuration · object

The invoice configuration details. Includes partial payment, tip, and tax calculated after discount.

amount
Invoice Amount Summary · object

The invoice amount summary of item total, discount, tax total and shipping..

due_amount
Money · object
read-only

The due amount, which is the balance amount outstanding after payments.

gratuity
Money · object
read-only

The amount paid by the payer as gratuity to the invoicer.

payments
Payments · object

List of payments registered against the invoice..

refunds
Refunds · object

List of refunds against this invoice. The invoicing refund details includes refund type, date, amount, and method.

An array of request-related HATEOAS links.

Maximum array length: 2147483647